Package: org.codehaus.groovy.runtime.callsite

## [Java] Class PogoMetaMethodSite

- org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

-     public class PogoMetaMethodSite
      extends PlainObjectMetaMethodSite

  POGO call site meta class - cached method - cached

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `PogoMetaMethodSite.PogoCachedMethodSite` |
    `static class` | `PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap` |
    `static class` | `PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce` |
    `static class` | `PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
    `static class` | `PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class PlainObjectMetaMethodSite` | `VM_PLUGIN`
    `class MetaMethodSite` | `params`
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PogoMetaMethodSite (CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `call(Object receiver, Object[] args)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object[] args)`
    `` | `protected boolean` | `checkCall(Object receiver, Object[] args)`
    `` | `protected boolean` | `checkCall(Object receiver)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public static CallSite` | `createCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params, Object[] args)`
    `` | `public static CallSite` | `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)`
    `` | `public Object` | `invoke(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PlainObjectMetaMethodSite` | `doInvoke`
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public PogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

  - ### Method Detail

    - #### public Object call(Object receiver, Object[] args)

    - #### public Object callCurrent(GroovyObject receiver, Object[] args)

    - #### protected boolean checkCall(Object receiver, Object[] args)

    - #### protected boolean checkCall(Object receiver)

    - #### protected boolean checkCall(Object receiver, Object arg1)

    - #### protected boolean checkCall(Object receiver, Object arg1, Object arg2)

    - #### protected boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### protected boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public static CallSite createCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params, Object[] args)

    - #### public static CallSite createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)

    - #### public Object invoke(Object receiver, Object[] args)